
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2024 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/**
*  @file gsiDeclQCustomAudioRoleControl.cc 
*
*  DO NOT EDIT THIS FILE. 
*  This file has been created automatically
*/

#include <QCustomAudioRoleControl>
#include <QChildEvent>
#include <QEvent>
#include <QMetaMethod>
#include <QObject>
#include <QThread>
#include <QTimerEvent>
#include "gsiQt.h"
#include "gsiQtMultimediaCommon.h"
#include <memory>

// -----------------------------------------------------------------------
// class QCustomAudioRoleControl

//  get static meta object

static void _init_smo (qt_gsi::GenericStaticMethod *decl)
{
  decl->set_return<const QMetaObject &> ();
}

static void _call_smo (const qt_gsi::GenericStaticMethod *, gsi::SerialArgs &, gsi::SerialArgs &ret) 
{
  ret.write<const QMetaObject &> (QCustomAudioRoleControl::staticMetaObject);
}


// QString QCustomAudioRoleControl::customAudioRole()


static void _init_f_customAudioRole_c0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<QString > ();
}

static void _call_f_customAudioRole_c0 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  ret.write<QString > ((QString)((QCustomAudioRoleControl *)cls)->customAudioRole ());
}


// void QCustomAudioRoleControl::setCustomAudioRole(const QString &role)


static void _init_f_setCustomAudioRole_2025 (qt_gsi::GenericMethod *decl)
{
  static gsi::ArgSpecBase argspec_0 ("role");
  decl->add_arg<const QString & > (argspec_0);
  decl->set_return<void > ();
}

static void _call_f_setCustomAudioRole_2025 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  tl::Heap heap;
  const QString &arg1 = gsi::arg_reader<const QString & >() (args, heap);
  __SUPPRESS_UNUSED_WARNING(ret);
  ((QCustomAudioRoleControl *)cls)->setCustomAudioRole (arg1);
}


// QStringList QCustomAudioRoleControl::supportedCustomAudioRoles()


static void _init_f_supportedCustomAudioRoles_c0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<QStringList > ();
}

static void _call_f_supportedCustomAudioRoles_c0 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  ret.write<QStringList > ((QStringList)((QCustomAudioRoleControl *)cls)->supportedCustomAudioRoles ());
}


// static QString QCustomAudioRoleControl::tr(const char *s, const char *c, int n)


static void _init_f_tr_4013 (qt_gsi::GenericStaticMethod *decl)
{
  static gsi::ArgSpecBase argspec_0 ("s");
  decl->add_arg<const char * > (argspec_0);
  static gsi::ArgSpecBase argspec_1 ("c", true, "nullptr");
  decl->add_arg<const char * > (argspec_1);
  static gsi::ArgSpecBase argspec_2 ("n", true, "-1");
  decl->add_arg<int > (argspec_2);
  decl->set_return<QString > ();
}

static void _call_f_tr_4013 (const qt_gsi::GenericStaticMethod * /*decl*/, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  tl::Heap heap;
  const char *arg1 = gsi::arg_reader<const char * >() (args, heap);
  const char *arg2 = args ? gsi::arg_reader<const char * >() (args, heap) : gsi::arg_maker<const char * >() (nullptr, heap);
  int arg3 = args ? gsi::arg_reader<int >() (args, heap) : gsi::arg_maker<int >() (-1, heap);
  ret.write<QString > ((QString)QCustomAudioRoleControl::tr (arg1, arg2, arg3));
}


// static QString QCustomAudioRoleControl::trUtf8(const char *s, const char *c, int n)


static void _init_f_trUtf8_4013 (qt_gsi::GenericStaticMethod *decl)
{
  static gsi::ArgSpecBase argspec_0 ("s");
  decl->add_arg<const char * > (argspec_0);
  static gsi::ArgSpecBase argspec_1 ("c", true, "nullptr");
  decl->add_arg<const char * > (argspec_1);
  static gsi::ArgSpecBase argspec_2 ("n", true, "-1");
  decl->add_arg<int > (argspec_2);
  decl->set_return<QString > ();
}

static void _call_f_trUtf8_4013 (const qt_gsi::GenericStaticMethod * /*decl*/, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  tl::Heap heap;
  const char *arg1 = gsi::arg_reader<const char * >() (args, heap);
  const char *arg2 = args ? gsi::arg_reader<const char * >() (args, heap) : gsi::arg_maker<const char * >() (nullptr, heap);
  int arg3 = args ? gsi::arg_reader<int >() (args, heap) : gsi::arg_maker<int >() (-1, heap);
  ret.write<QString > ((QString)QCustomAudioRoleControl::trUtf8 (arg1, arg2, arg3));
}


namespace gsi
{

static gsi::Methods methods_QCustomAudioRoleControl () {
  gsi::Methods methods;
  methods += new qt_gsi::GenericStaticMethod ("staticMetaObject", "@brief Obtains the static MetaObject for this class.", &_init_smo, &_call_smo);
  methods += new qt_gsi::GenericMethod (":customAudioRole", "@brief Method QString QCustomAudioRoleControl::customAudioRole()\n", true, &_init_f_customAudioRole_c0, &_call_f_customAudioRole_c0);
  methods += new qt_gsi::GenericMethod ("setCustomAudioRole|customAudioRole=", "@brief Method void QCustomAudioRoleControl::setCustomAudioRole(const QString &role)\n", false, &_init_f_setCustomAudioRole_2025, &_call_f_setCustomAudioRole_2025);
  methods += new qt_gsi::GenericMethod ("supportedCustomAudioRoles", "@brief Method QStringList QCustomAudioRoleControl::supportedCustomAudioRoles()\n", true, &_init_f_supportedCustomAudioRoles_c0, &_call_f_supportedCustomAudioRoles_c0);
  methods += gsi::qt_signal<const QString & > ("customAudioRoleChanged(const QString &)", "customAudioRoleChanged", gsi::arg("role"), "@brief Signal declaration for QCustomAudioRoleControl::customAudioRoleChanged(const QString &role)\nYou can bind a procedure to this signal.");
  methods += gsi::qt_signal<QObject * > ("destroyed(QObject *)", "destroyed", gsi::arg("arg1"), "@brief Signal declaration for QCustomAudioRoleControl::destroyed(QObject *)\nYou can bind a procedure to this signal.");
  methods += gsi::qt_signal<const QString & > ("objectNameChanged(const QString &)", "objectNameChanged", gsi::arg("objectName"), "@brief Signal declaration for QCustomAudioRoleControl::objectNameChanged(const QString &objectName)\nYou can bind a procedure to this signal.");
  methods += new qt_gsi::GenericStaticMethod ("tr", "@brief Static method QString QCustomAudioRoleControl::tr(const char *s, const char *c, int n)\nThis method is static and can be called without an instance.", &_init_f_tr_4013, &_call_f_tr_4013);
  methods += new qt_gsi::GenericStaticMethod ("trUtf8", "@brief Static method QString QCustomAudioRoleControl::trUtf8(const char *s, const char *c, int n)\nThis method is static and can be called without an instance.", &_init_f_trUtf8_4013, &_call_f_trUtf8_4013);
  return methods;
}

gsi::Class<QMediaControl> &qtdecl_QMediaControl ();

qt_gsi::QtNativeClass<QCustomAudioRoleControl> decl_QCustomAudioRoleControl (qtdecl_QMediaControl (), "QtMultimedia", "QCustomAudioRoleControl_Native",
  methods_QCustomAudioRoleControl (),
  "@hide\n@alias QCustomAudioRoleControl");

GSI_QTMULTIMEDIA_PUBLIC gsi::Class<QCustomAudioRoleControl> &qtdecl_QCustomAudioRoleControl () { return decl_QCustomAudioRoleControl; }

}


class QCustomAudioRoleControl_Adaptor : public QCustomAudioRoleControl, public qt_gsi::QtObjectBase
{
public:

  virtual ~QCustomAudioRoleControl_Adaptor();

  //  [adaptor ctor] QCustomAudioRoleControl::QCustomAudioRoleControl()
  QCustomAudioRoleControl_Adaptor() : QCustomAudioRoleControl()
  {
    qt_gsi::QtObjectBase::init (this);
  }

  //  [expose] bool QCustomAudioRoleControl::isSignalConnected(const QMetaMethod &signal)
  bool fp_QCustomAudioRoleControl_isSignalConnected_c2394 (const QMetaMethod &signal) const {
    return QCustomAudioRoleControl::isSignalConnected(signal);
  }

  //  [expose] int QCustomAudioRoleControl::receivers(const char *signal)
  int fp_QCustomAudioRoleControl_receivers_c1731 (const char *signal) const {
    return QCustomAudioRoleControl::receivers(signal);
  }

  //  [expose] QObject *QCustomAudioRoleControl::sender()
  QObject * fp_QCustomAudioRoleControl_sender_c0 () const {
    return QCustomAudioRoleControl::sender();
  }

  //  [expose] int QCustomAudioRoleControl::senderSignalIndex()
  int fp_QCustomAudioRoleControl_senderSignalIndex_c0 () const {
    return QCustomAudioRoleControl::senderSignalIndex();
  }

  //  [adaptor impl] QString QCustomAudioRoleControl::customAudioRole()
  QString cbs_customAudioRole_c0_0() const
  {
    throw qt_gsi::AbstractMethodCalledException("customAudioRole");
  }

  virtual QString customAudioRole() const
  {
    if (cb_customAudioRole_c0_0.can_issue()) {
      return cb_customAudioRole_c0_0.issue<QCustomAudioRoleControl_Adaptor, QString>(&QCustomAudioRoleControl_Adaptor::cbs_customAudioRole_c0_0);
    } else {
      throw qt_gsi::AbstractMethodCalledException("customAudioRole");
    }
  }

  //  [emitter impl] void QCustomAudioRoleControl::customAudioRoleChanged(const QString &role)
  void emitter_QCustomAudioRoleControl_customAudioRoleChanged_2025(const QString &role)
  {
    emit QCustomAudioRoleControl::customAudioRoleChanged(role);
  }

  //  [emitter impl] void QCustomAudioRoleControl::destroyed(QObject *)
  void emitter_QCustomAudioRoleControl_destroyed_1302(QObject *arg1)
  {
    emit QCustomAudioRoleControl::destroyed(arg1);
  }

  //  [adaptor impl] bool QCustomAudioRoleControl::event(QEvent *event)
  bool cbs_event_1217_0(QEvent *_event)
  {
    return QCustomAudioRoleControl::event(_event);
  }

  virtual bool event(QEvent *_event)
  {
    if (cb_event_1217_0.can_issue()) {
      return cb_event_1217_0.issue<QCustomAudioRoleControl_Adaptor, bool, QEvent *>(&QCustomAudioRoleControl_Adaptor::cbs_event_1217_0, _event);
    } else {
      return QCustomAudioRoleControl::event(_event);
    }
  }

  //  [adaptor impl] bool QCustomAudioRoleControl::eventFilter(QObject *watched, QEvent *event)
  bool cbs_eventFilter_2411_0(QObject *watched, QEvent *event)
  {
    return QCustomAudioRoleControl::eventFilter(watched, event);
  }

  virtual bool eventFilter(QObject *watched, QEvent *event)
  {
    if (cb_eventFilter_2411_0.can_issue()) {
      return cb_eventFilter_2411_0.issue<QCustomAudioRoleControl_Adaptor, bool, QObject *, QEvent *>(&QCustomAudioRoleControl_Adaptor::cbs_eventFilter_2411_0, watched, event);
    } else {
      return QCustomAudioRoleControl::eventFilter(watched, event);
    }
  }

  //  [emitter impl] void QCustomAudioRoleControl::objectNameChanged(const QString &objectName)
  void emitter_QCustomAudioRoleControl_objectNameChanged_4567(const QString &objectName)
  {
    __SUPPRESS_UNUSED_WARNING (objectName);
    throw tl::Exception ("Can't emit private signal 'void QCustomAudioRoleControl::objectNameChanged(const QString &objectName)'");
  }

  //  [adaptor impl] void QCustomAudioRoleControl::setCustomAudioRole(const QString &role)
  void cbs_setCustomAudioRole_2025_0(const QString &role)
  {
    __SUPPRESS_UNUSED_WARNING (role);
    throw qt_gsi::AbstractMethodCalledException("setCustomAudioRole");
  }

  virtual void setCustomAudioRole(const QString &role)
  {
    if (cb_setCustomAudioRole_2025_0.can_issue()) {
      cb_setCustomAudioRole_2025_0.issue<QCustomAudioRoleControl_Adaptor, const QString &>(&QCustomAudioRoleControl_Adaptor::cbs_setCustomAudioRole_2025_0, role);
    } else {
      throw qt_gsi::AbstractMethodCalledException("setCustomAudioRole");
    }
  }

  //  [adaptor impl] QStringList QCustomAudioRoleControl::supportedCustomAudioRoles()
  QStringList cbs_supportedCustomAudioRoles_c0_0() const
  {
    throw qt_gsi::AbstractMethodCalledException("supportedCustomAudioRoles");
  }

  virtual QStringList supportedCustomAudioRoles() const
  {
    if (cb_supportedCustomAudioRoles_c0_0.can_issue()) {
      return cb_supportedCustomAudioRoles_c0_0.issue<QCustomAudioRoleControl_Adaptor, QStringList>(&QCustomAudioRoleControl_Adaptor::cbs_supportedCustomAudioRoles_c0_0);
    } else {
      throw qt_gsi::AbstractMethodCalledException("supportedCustomAudioRoles");
    }
  }

  //  [adaptor impl] void QCustomAudioRoleControl::childEvent(QChildEvent *event)
  void cbs_childEvent_1701_0(QChildEvent *event)
  {
    QCustomAudioRoleControl::childEvent(event);
  }

  virtual void childEvent(QChildEvent *event)
  {
    if (cb_childEvent_1701_0.can_issue()) {
      cb_childEvent_1701_0.issue<QCustomAudioRoleControl_Adaptor, QChildEvent *>(&QCustomAudioRoleControl_Adaptor::cbs_childEvent_1701_0, event);
    } else {
      QCustomAudioRoleControl::childEvent(event);
    }
  }

  //  [adaptor impl] void QCustomAudioRoleControl::customEvent(QEvent *event)
  void cbs_customEvent_1217_0(QEvent *event)
  {
    QCustomAudioRoleControl::customEvent(event);
  }

  virtual void customEvent(QEvent *event)
  {
    if (cb_customEvent_1217_0.can_issue()) {
      cb_customEvent_1217_0.issue<QCustomAudioRoleControl_Adaptor, QEvent *>(&QCustomAudioRoleControl_Adaptor::cbs_customEvent_1217_0, event);
    } else {
      QCustomAudioRoleControl::customEvent(event);
    }
  }

  //  [adaptor impl] void QCustomAudioRoleControl::disconnectNotify(const QMetaMethod &signal)
  void cbs_disconnectNotify_2394_0(const QMetaMethod &signal)
  {
    QCustomAudioRoleControl::disconnectNotify(signal);
  }

  virtual void disconnectNotify(const QMetaMethod &signal)
  {
    if (cb_disconnectNotify_2394_0.can_issue()) {
      cb_disconnectNotify_2394_0.issue<QCustomAudioRoleControl_Adaptor, const QMetaMethod &>(&QCustomAudioRoleControl_Adaptor::cbs_disconnectNotify_2394_0, signal);
    } else {
      QCustomAudioRoleControl::disconnectNotify(signal);
    }
  }

  //  [adaptor impl] void QCustomAudioRoleControl::timerEvent(QTimerEvent *event)
  void cbs_timerEvent_1730_0(QTimerEvent *event)
  {
    QCustomAudioRoleControl::timerEvent(event);
  }

  virtual void timerEvent(QTimerEvent *event)
  {
    if (cb_timerEvent_1730_0.can_issue()) {
      cb_timerEvent_1730_0.issue<QCustomAudioRoleControl_Adaptor, QTimerEvent *>(&QCustomAudioRoleControl_Adaptor::cbs_timerEvent_1730_0, event);
    } else {
      QCustomAudioRoleControl::timerEvent(event);
    }
  }

  gsi::Callback cb_customAudioRole_c0_0;
  gsi::Callback cb_event_1217_0;
  gsi::Callback cb_eventFilter_2411_0;
  gsi::Callback cb_setCustomAudioRole_2025_0;
  gsi::Callback cb_supportedCustomAudioRoles_c0_0;
  gsi::Callback cb_childEvent_1701_0;
  gsi::Callback cb_customEvent_1217_0;
  gsi::Callback cb_disconnectNotify_2394_0;
  gsi::Callback cb_timerEvent_1730_0;
};

QCustomAudioRoleControl_Adaptor::~QCustomAudioRoleControl_Adaptor() { }

//  Constructor QCustomAudioRoleControl::QCustomAudioRoleControl() (adaptor class)

static void _init_ctor_QCustomAudioRoleControl_Adaptor_0 (qt_gsi::GenericStaticMethod *decl)
{
  decl->set_return_new<QCustomAudioRoleControl_Adaptor> ();
}

static void _call_ctor_QCustomAudioRoleControl_Adaptor_0 (const qt_gsi::GenericStaticMethod * /*decl*/, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  ret.write<QCustomAudioRoleControl_Adaptor *> (new QCustomAudioRoleControl_Adaptor ());
}


// void QCustomAudioRoleControl::childEvent(QChildEvent *event)

static void _init_cbs_childEvent_1701_0 (qt_gsi::GenericMethod *decl)
{
  static gsi::ArgSpecBase argspec_0 ("event");
  decl->add_arg<QChildEvent * > (argspec_0);
  decl->set_return<void > ();
}

static void _call_cbs_childEvent_1701_0 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  tl::Heap heap;
  QChildEvent *arg1 = args.read<QChildEvent * > (heap);
  __SUPPRESS_UNUSED_WARNING(ret);
  ((QCustomAudioRoleControl_Adaptor *)cls)->cbs_childEvent_1701_0 (arg1);
}

static void _set_callback_cbs_childEvent_1701_0 (void *cls, const gsi::Callback &cb)
{
  ((QCustomAudioRoleControl_Adaptor *)cls)->cb_childEvent_1701_0 = cb;
}


// QString QCustomAudioRoleControl::customAudioRole()

static void _init_cbs_customAudioRole_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<QString > ();
}

static void _call_cbs_customAudioRole_c0_0 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  ret.write<QString > ((QString)((QCustomAudioRoleControl_Adaptor *)cls)->cbs_customAudioRole_c0_0 ());
}

static void _set_callback_cbs_customAudioRole_c0_0 (void *cls, const gsi::Callback &cb)
{
  ((QCustomAudioRoleControl_Adaptor *)cls)->cb_customAudioRole_c0_0 = cb;
}


// emitter void QCustomAudioRoleControl::customAudioRoleChanged(const QString &role)

static void _init_emitter_customAudioRoleChanged_2025 (qt_gsi::GenericMethod *decl)
{
  static gsi::ArgSpecBase argspec_0 ("role");
  decl->add_arg<const QString & > (argspec_0);
  decl->set_return<void > ();
}

static void _call_emitter_customAudioRoleChanged_2025 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs & /*ret*/) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  tl::Heap heap;
  const QString &arg1 = gsi::arg_reader<const QString & >() (args, heap);
  ((QCustomAudioRoleControl_Adaptor *)cls)->emitter_QCustomAudioRoleControl_customAudioRoleChanged_2025 (arg1);
}


// void QCustomAudioRoleControl::customEvent(QEvent *event)

static void _init_cbs_customEvent_1217_0 (qt_gsi::GenericMethod *decl)
{
  static gsi::ArgSpecBase argspec_0 ("event");
  decl->add_arg<QEvent * > (argspec_0);
  decl->set_return<void > ();
}

static void _call_cbs_customEvent_1217_0 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  tl::Heap heap;
  QEvent *arg1 = args.read<QEvent * > (heap);
  __SUPPRESS_UNUSED_WARNING(ret);
  ((QCustomAudioRoleControl_Adaptor *)cls)->cbs_customEvent_1217_0 (arg1);
}

static void _set_callback_cbs_customEvent_1217_0 (void *cls, const gsi::Callback &cb)
{
  ((QCustomAudioRoleControl_Adaptor *)cls)->cb_customEvent_1217_0 = cb;
}


// emitter void QCustomAudioRoleControl::destroyed(QObject *)

static void _init_emitter_destroyed_1302 (qt_gsi::GenericMethod *decl)
{
  static gsi::ArgSpecBase argspec_0 ("arg1", true, "nullptr");
  decl->add_arg<QObject * > (argspec_0);
  decl->set_return<void > ();
}

static void _call_emitter_destroyed_1302 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs & /*ret*/) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  tl::Heap heap;
  QObject *arg1 = args ? gsi::arg_reader<QObject * >() (args, heap) : gsi::arg_maker<QObject * >() (nullptr, heap);
  ((QCustomAudioRoleControl_Adaptor *)cls)->emitter_QCustomAudioRoleControl_destroyed_1302 (arg1);
}


// void QCustomAudioRoleControl::disconnectNotify(const QMetaMethod &signal)

static void _init_cbs_disconnectNotify_2394_0 (qt_gsi::GenericMethod *decl)
{
  static gsi::ArgSpecBase argspec_0 ("signal");
  decl->add_arg<const QMetaMethod & > (argspec_0);
  decl->set_return<void > ();
}

static void _call_cbs_disconnectNotify_2394_0 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  tl::Heap heap;
  const QMetaMethod &arg1 = args.read<const QMetaMethod & > (heap);
  __SUPPRESS_UNUSED_WARNING(ret);
  ((QCustomAudioRoleControl_Adaptor *)cls)->cbs_disconnectNotify_2394_0 (arg1);
}

static void _set_callback_cbs_disconnectNotify_2394_0 (void *cls, const gsi::Callback &cb)
{
  ((QCustomAudioRoleControl_Adaptor *)cls)->cb_disconnectNotify_2394_0 = cb;
}


// bool QCustomAudioRoleControl::event(QEvent *event)

static void _init_cbs_event_1217_0 (qt_gsi::GenericMethod *decl)
{
  static gsi::ArgSpecBase argspec_0 ("event");
  decl->add_arg<QEvent * > (argspec_0);
  decl->set_return<bool > ();
}

static void _call_cbs_event_1217_0 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  tl::Heap heap;
  QEvent *arg1 = args.read<QEvent * > (heap);
  ret.write<bool > ((bool)((QCustomAudioRoleControl_Adaptor *)cls)->cbs_event_1217_0 (arg1));
}

static void _set_callback_cbs_event_1217_0 (void *cls, const gsi::Callback &cb)
{
  ((QCustomAudioRoleControl_Adaptor *)cls)->cb_event_1217_0 = cb;
}


// bool QCustomAudioRoleControl::eventFilter(QObject *watched, QEvent *event)

static void _init_cbs_eventFilter_2411_0 (qt_gsi::GenericMethod *decl)
{
  static gsi::ArgSpecBase argspec_0 ("watched");
  decl->add_arg<QObject * > (argspec_0);
  static gsi::ArgSpecBase argspec_1 ("event");
  decl->add_arg<QEvent * > (argspec_1);
  decl->set_return<bool > ();
}

static void _call_cbs_eventFilter_2411_0 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  tl::Heap heap;
  QObject *arg1 = args.read<QObject * > (heap);
  QEvent *arg2 = args.read<QEvent * > (heap);
  ret.write<bool > ((bool)((QCustomAudioRoleControl_Adaptor *)cls)->cbs_eventFilter_2411_0 (arg1, arg2));
}

static void _set_callback_cbs_eventFilter_2411_0 (void *cls, const gsi::Callback &cb)
{
  ((QCustomAudioRoleControl_Adaptor *)cls)->cb_eventFilter_2411_0 = cb;
}


// exposed bool QCustomAudioRoleControl::isSignalConnected(const QMetaMethod &signal)

static void _init_fp_isSignalConnected_c2394 (qt_gsi::GenericMethod *decl)
{
  static gsi::ArgSpecBase argspec_0 ("signal");
  decl->add_arg<const QMetaMethod & > (argspec_0);
  decl->set_return<bool > ();
}

static void _call_fp_isSignalConnected_c2394 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  tl::Heap heap;
  const QMetaMethod &arg1 = gsi::arg_reader<const QMetaMethod & >() (args, heap);
  ret.write<bool > ((bool)((QCustomAudioRoleControl_Adaptor *)cls)->fp_QCustomAudioRoleControl_isSignalConnected_c2394 (arg1));
}


// emitter void QCustomAudioRoleControl::objectNameChanged(const QString &objectName)

static void _init_emitter_objectNameChanged_4567 (qt_gsi::GenericMethod *decl)
{
  static gsi::ArgSpecBase argspec_0 ("objectName");
  decl->add_arg<const QString & > (argspec_0);
  decl->set_return<void > ();
}

static void _call_emitter_objectNameChanged_4567 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs & /*ret*/) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  tl::Heap heap;
  const QString &arg1 = gsi::arg_reader<const QString & >() (args, heap);
  ((QCustomAudioRoleControl_Adaptor *)cls)->emitter_QCustomAudioRoleControl_objectNameChanged_4567 (arg1);
}


// exposed int QCustomAudioRoleControl::receivers(const char *signal)

static void _init_fp_receivers_c1731 (qt_gsi::GenericMethod *decl)
{
  static gsi::ArgSpecBase argspec_0 ("signal");
  decl->add_arg<const char * > (argspec_0);
  decl->set_return<int > ();
}

static void _call_fp_receivers_c1731 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  tl::Heap heap;
  const char *arg1 = gsi::arg_reader<const char * >() (args, heap);
  ret.write<int > ((int)((QCustomAudioRoleControl_Adaptor *)cls)->fp_QCustomAudioRoleControl_receivers_c1731 (arg1));
}


// exposed QObject *QCustomAudioRoleControl::sender()

static void _init_fp_sender_c0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<QObject * > ();
}

static void _call_fp_sender_c0 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  ret.write<QObject * > ((QObject *)((QCustomAudioRoleControl_Adaptor *)cls)->fp_QCustomAudioRoleControl_sender_c0 ());
}


// exposed int QCustomAudioRoleControl::senderSignalIndex()

static void _init_fp_senderSignalIndex_c0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<int > ();
}

static void _call_fp_senderSignalIndex_c0 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  ret.write<int > ((int)((QCustomAudioRoleControl_Adaptor *)cls)->fp_QCustomAudioRoleControl_senderSignalIndex_c0 ());
}


// void QCustomAudioRoleControl::setCustomAudioRole(const QString &role)

static void _init_cbs_setCustomAudioRole_2025_0 (qt_gsi::GenericMethod *decl)
{
  static gsi::ArgSpecBase argspec_0 ("role");
  decl->add_arg<const QString & > (argspec_0);
  decl->set_return<void > ();
}

static void _call_cbs_setCustomAudioRole_2025_0 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  tl::Heap heap;
  const QString &arg1 = args.read<const QString & > (heap);
  __SUPPRESS_UNUSED_WARNING(ret);
  ((QCustomAudioRoleControl_Adaptor *)cls)->cbs_setCustomAudioRole_2025_0 (arg1);
}

static void _set_callback_cbs_setCustomAudioRole_2025_0 (void *cls, const gsi::Callback &cb)
{
  ((QCustomAudioRoleControl_Adaptor *)cls)->cb_setCustomAudioRole_2025_0 = cb;
}


// QStringList QCustomAudioRoleControl::supportedCustomAudioRoles()

static void _init_cbs_supportedCustomAudioRoles_c0_0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<QStringList > ();
}

static void _call_cbs_supportedCustomAudioRoles_c0_0 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  ret.write<QStringList > ((QStringList)((QCustomAudioRoleControl_Adaptor *)cls)->cbs_supportedCustomAudioRoles_c0_0 ());
}

static void _set_callback_cbs_supportedCustomAudioRoles_c0_0 (void *cls, const gsi::Callback &cb)
{
  ((QCustomAudioRoleControl_Adaptor *)cls)->cb_supportedCustomAudioRoles_c0_0 = cb;
}


// void QCustomAudioRoleControl::timerEvent(QTimerEvent *event)

static void _init_cbs_timerEvent_1730_0 (qt_gsi::GenericMethod *decl)
{
  static gsi::ArgSpecBase argspec_0 ("event");
  decl->add_arg<QTimerEvent * > (argspec_0);
  decl->set_return<void > ();
}

static void _call_cbs_timerEvent_1730_0 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  tl::Heap heap;
  QTimerEvent *arg1 = args.read<QTimerEvent * > (heap);
  __SUPPRESS_UNUSED_WARNING(ret);
  ((QCustomAudioRoleControl_Adaptor *)cls)->cbs_timerEvent_1730_0 (arg1);
}

static void _set_callback_cbs_timerEvent_1730_0 (void *cls, const gsi::Callback &cb)
{
  ((QCustomAudioRoleControl_Adaptor *)cls)->cb_timerEvent_1730_0 = cb;
}


namespace gsi
{

gsi::Class<QCustomAudioRoleControl> &qtdecl_QCustomAudioRoleControl ();

static gsi::Methods methods_QCustomAudioRoleControl_Adaptor () {
  gsi::Methods methods;
  methods += new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QCustomAudioRoleControl::QCustomAudioRoleControl()\nThis method creates an object of class QCustomAudioRoleControl.", &_init_ctor_QCustomAudioRoleControl_Adaptor_0, &_call_ctor_QCustomAudioRoleControl_Adaptor_0);
  methods += new qt_gsi::GenericMethod ("*childEvent", "@brief Virtual method void QCustomAudioRoleControl::childEvent(QChildEvent *event)\nThis method can be reimplemented in a derived class.", false, &_init_cbs_childEvent_1701_0, &_call_cbs_childEvent_1701_0);
  methods += new qt_gsi::GenericMethod ("*childEvent", "@hide", false, &_init_cbs_childEvent_1701_0, &_call_cbs_childEvent_1701_0, &_set_callback_cbs_childEvent_1701_0);
  methods += new qt_gsi::GenericMethod ("customAudioRole", "@brief Virtual method QString QCustomAudioRoleControl::customAudioRole()\nThis method can be reimplemented in a derived class.", true, &_init_cbs_customAudioRole_c0_0, &_call_cbs_customAudioRole_c0_0);
  methods += new qt_gsi::GenericMethod ("customAudioRole", "@hide", true, &_init_cbs_customAudioRole_c0_0, &_call_cbs_customAudioRole_c0_0, &_set_callback_cbs_customAudioRole_c0_0);
  methods += new qt_gsi::GenericMethod ("emit_customAudioRoleChanged", "@brief Emitter for signal void QCustomAudioRoleControl::customAudioRoleChanged(const QString &role)\nCall this method to emit this signal.", false, &_init_emitter_customAudioRoleChanged_2025, &_call_emitter_customAudioRoleChanged_2025);
  methods += new qt_gsi::GenericMethod ("*customEvent", "@brief Virtual method void QCustomAudioRoleControl::customEvent(QEvent *event)\nThis method can be reimplemented in a derived class.", false, &_init_cbs_customEvent_1217_0, &_call_cbs_customEvent_1217_0);
  methods += new qt_gsi::GenericMethod ("*customEvent", "@hide", false, &_init_cbs_customEvent_1217_0, &_call_cbs_customEvent_1217_0, &_set_callback_cbs_customEvent_1217_0);
  methods += new qt_gsi::GenericMethod ("emit_destroyed", "@brief Emitter for signal void QCustomAudioRoleControl::destroyed(QObject *)\nCall this method to emit this signal.", false, &_init_emitter_destroyed_1302, &_call_emitter_destroyed_1302);
  methods += new qt_gsi::GenericMethod ("*disconnectNotify", "@brief Virtual method void QCustomAudioRoleControl::disconnectNotify(const QMetaMethod &signal)\nThis method can be reimplemented in a derived class.", false, &_init_cbs_disconnectNotify_2394_0, &_call_cbs_disconnectNotify_2394_0);
  methods += new qt_gsi::GenericMethod ("*disconnectNotify", "@hide", false, &_init_cbs_disconnectNotify_2394_0, &_call_cbs_disconnectNotify_2394_0, &_set_callback_cbs_disconnectNotify_2394_0);
  methods += new qt_gsi::GenericMethod ("event", "@brief Virtual method bool QCustomAudioRoleControl::event(QEvent *event)\nThis method can be reimplemented in a derived class.", false, &_init_cbs_event_1217_0, &_call_cbs_event_1217_0);
  methods += new qt_gsi::GenericMethod ("event", "@hide", false, &_init_cbs_event_1217_0, &_call_cbs_event_1217_0, &_set_callback_cbs_event_1217_0);
  methods += new qt_gsi::GenericMethod ("eventFilter", "@brief Virtual method bool QCustomAudioRoleControl::eventFilter(QObject *watched, QEvent *event)\nThis method can be reimplemented in a derived class.", false, &_init_cbs_eventFilter_2411_0, &_call_cbs_eventFilter_2411_0);
  methods += new qt_gsi::GenericMethod ("eventFilter", "@hide", false, &_init_cbs_eventFilter_2411_0, &_call_cbs_eventFilter_2411_0, &_set_callback_cbs_eventFilter_2411_0);
  methods += new qt_gsi::GenericMethod ("*isSignalConnected", "@brief Method bool QCustomAudioRoleControl::isSignalConnected(const QMetaMethod &signal)\nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_isSignalConnected_c2394, &_call_fp_isSignalConnected_c2394);
  methods += new qt_gsi::GenericMethod ("emit_objectNameChanged", "@brief Emitter for signal void QCustomAudioRoleControl::objectNameChanged(const QString &objectName)\nCall this method to emit this signal.", false, &_init_emitter_objectNameChanged_4567, &_call_emitter_objectNameChanged_4567);
  methods += new qt_gsi::GenericMethod ("*receivers", "@brief Method int QCustomAudioRoleControl::receivers(const char *signal)\nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_receivers_c1731, &_call_fp_receivers_c1731);
  methods += new qt_gsi::GenericMethod ("*sender", "@brief Method QObject *QCustomAudioRoleControl::sender()\nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_sender_c0, &_call_fp_sender_c0);
  methods += new qt_gsi::GenericMethod ("*senderSignalIndex", "@brief Method int QCustomAudioRoleControl::senderSignalIndex()\nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_senderSignalIndex_c0, &_call_fp_senderSignalIndex_c0);
  methods += new qt_gsi::GenericMethod ("setCustomAudioRole", "@brief Virtual method void QCustomAudioRoleControl::setCustomAudioRole(const QString &role)\nThis method can be reimplemented in a derived class.", false, &_init_cbs_setCustomAudioRole_2025_0, &_call_cbs_setCustomAudioRole_2025_0);
  methods += new qt_gsi::GenericMethod ("setCustomAudioRole", "@hide", false, &_init_cbs_setCustomAudioRole_2025_0, &_call_cbs_setCustomAudioRole_2025_0, &_set_callback_cbs_setCustomAudioRole_2025_0);
  methods += new qt_gsi::GenericMethod ("supportedCustomAudioRoles", "@brief Virtual method QStringList QCustomAudioRoleControl::supportedCustomAudioRoles()\nThis method can be reimplemented in a derived class.", true, &_init_cbs_supportedCustomAudioRoles_c0_0, &_call_cbs_supportedCustomAudioRoles_c0_0);
  methods += new qt_gsi::GenericMethod ("supportedCustomAudioRoles", "@hide", true, &_init_cbs_supportedCustomAudioRoles_c0_0, &_call_cbs_supportedCustomAudioRoles_c0_0, &_set_callback_cbs_supportedCustomAudioRoles_c0_0);
  methods += new qt_gsi::GenericMethod ("*timerEvent", "@brief Virtual method void QCustomAudioRoleControl::timerEvent(QTimerEvent *event)\nThis method can be reimplemented in a derived class.", false, &_init_cbs_timerEvent_1730_0, &_call_cbs_timerEvent_1730_0);
  methods += new qt_gsi::GenericMethod ("*timerEvent", "@hide", false, &_init_cbs_timerEvent_1730_0, &_call_cbs_timerEvent_1730_0, &_set_callback_cbs_timerEvent_1730_0);
  return methods;
}

gsi::Class<QCustomAudioRoleControl_Adaptor> decl_QCustomAudioRoleControl_Adaptor (qtdecl_QCustomAudioRoleControl (), "QtMultimedia", "QCustomAudioRoleControl",
  methods_QCustomAudioRoleControl_Adaptor (),
  "@qt\n@brief Binding of QCustomAudioRoleControl");

}

