
/*

  KLayout Layout Viewer
  Copyright (C) 2006-2024 Matthias Koefferlein

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

/**
*  @file gsiDeclQSocketNotifier.cc 
*
*  DO NOT EDIT THIS FILE. 
*  This file has been created automatically
*/

#include <QSocketNotifier>
#include <QChildEvent>
#include <QEvent>
#include <QMetaMethod>
#include <QObject>
#include <QSocketDescriptor>
#include <QThread>
#include <QTimerEvent>
#include "gsiQt.h"
#include "gsiQtCoreCommon.h"
#include <memory>

// -----------------------------------------------------------------------
// class QSocketNotifier

//  get static meta object

static void _init_smo (qt_gsi::GenericStaticMethod *decl)
{
  decl->set_return<const QMetaObject &> ();
}

static void _call_smo (const qt_gsi::GenericStaticMethod *, gsi::SerialArgs &, gsi::SerialArgs &ret) 
{
  ret.write<const QMetaObject &> (QSocketNotifier::staticMetaObject);
}


// bool QSocketNotifier::isEnabled()


static void _init_f_isEnabled_c0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<bool > ();
}

static void _call_f_isEnabled_c0 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  ret.write<bool > ((bool)((QSocketNotifier *)cls)->isEnabled ());
}


// bool QSocketNotifier::isValid()


static void _init_f_isValid_c0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<bool > ();
}

static void _call_f_isValid_c0 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  ret.write<bool > ((bool)((QSocketNotifier *)cls)->isValid ());
}


// void QSocketNotifier::setEnabled(bool)


static void _init_f_setEnabled_864 (qt_gsi::GenericMethod *decl)
{
  static gsi::ArgSpecBase argspec_0 ("arg1");
  decl->add_arg<bool > (argspec_0);
  decl->set_return<void > ();
}

static void _call_f_setEnabled_864 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  tl::Heap heap;
  bool arg1 = gsi::arg_reader<bool >() (args, heap);
  __SUPPRESS_UNUSED_WARNING(ret);
  ((QSocketNotifier *)cls)->setEnabled (arg1);
}


// void QSocketNotifier::setSocket(QIntegerForSizeof<void *>::Signed socket)


static void _init_f_setSocket_3614 (qt_gsi::GenericMethod *decl)
{
  static gsi::ArgSpecBase argspec_0 ("socket");
  decl->add_arg<QIntegerForSizeof<void *>::Signed > (argspec_0);
  decl->set_return<void > ();
}

static void _call_f_setSocket_3614 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  tl::Heap heap;
  QIntegerForSizeof<void *>::Signed arg1 = gsi::arg_reader<QIntegerForSizeof<void *>::Signed >() (args, heap);
  __SUPPRESS_UNUSED_WARNING(ret);
  ((QSocketNotifier *)cls)->setSocket (arg1);
}


// QIntegerForSizeof<void *>::Signed QSocketNotifier::socket()


static void _init_f_socket_c0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<QIntegerForSizeof<void *>::Signed > ();
}

static void _call_f_socket_c0 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  ret.write<QIntegerForSizeof<void *>::Signed > ((QIntegerForSizeof<void *>::Signed)((QSocketNotifier *)cls)->socket ());
}


// QSocketNotifier::Type QSocketNotifier::type()


static void _init_f_type_c0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<qt_gsi::Converter<QSocketNotifier::Type>::target_type > ();
}

static void _call_f_type_c0 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  ret.write<qt_gsi::Converter<QSocketNotifier::Type>::target_type > ((qt_gsi::Converter<QSocketNotifier::Type>::target_type)qt_gsi::CppToQtAdaptor<QSocketNotifier::Type>(((QSocketNotifier *)cls)->type ()));
}


// static QString QSocketNotifier::tr(const char *s, const char *c, int n)


static void _init_f_tr_4013 (qt_gsi::GenericStaticMethod *decl)
{
  static gsi::ArgSpecBase argspec_0 ("s");
  decl->add_arg<const char * > (argspec_0);
  static gsi::ArgSpecBase argspec_1 ("c", true, "nullptr");
  decl->add_arg<const char * > (argspec_1);
  static gsi::ArgSpecBase argspec_2 ("n", true, "-1");
  decl->add_arg<int > (argspec_2);
  decl->set_return<QString > ();
}

static void _call_f_tr_4013 (const qt_gsi::GenericStaticMethod * /*decl*/, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  tl::Heap heap;
  const char *arg1 = gsi::arg_reader<const char * >() (args, heap);
  const char *arg2 = args ? gsi::arg_reader<const char * >() (args, heap) : gsi::arg_maker<const char * >() (nullptr, heap);
  int arg3 = args ? gsi::arg_reader<int >() (args, heap) : gsi::arg_maker<int >() (-1, heap);
  ret.write<QString > ((QString)QSocketNotifier::tr (arg1, arg2, arg3));
}


namespace gsi
{

static gsi::Methods methods_QSocketNotifier () {
  gsi::Methods methods;
  methods += new qt_gsi::GenericStaticMethod ("staticMetaObject", "@brief Obtains the static MetaObject for this class.", &_init_smo, &_call_smo);
  methods += new qt_gsi::GenericMethod ("isEnabled?|:enabled", "@brief Method bool QSocketNotifier::isEnabled()\n", true, &_init_f_isEnabled_c0, &_call_f_isEnabled_c0);
  methods += new qt_gsi::GenericMethod ("isValid?", "@brief Method bool QSocketNotifier::isValid()\n", true, &_init_f_isValid_c0, &_call_f_isValid_c0);
  methods += new qt_gsi::GenericMethod ("setEnabled|enabled=", "@brief Method void QSocketNotifier::setEnabled(bool)\n", false, &_init_f_setEnabled_864, &_call_f_setEnabled_864);
  methods += new qt_gsi::GenericMethod ("setSocket|socket=", "@brief Method void QSocketNotifier::setSocket(QIntegerForSizeof<void *>::Signed socket)\n", false, &_init_f_setSocket_3614, &_call_f_setSocket_3614);
  methods += new qt_gsi::GenericMethod (":socket", "@brief Method QIntegerForSizeof<void *>::Signed QSocketNotifier::socket()\n", true, &_init_f_socket_c0, &_call_f_socket_c0);
  methods += new qt_gsi::GenericMethod ("type", "@brief Method QSocketNotifier::Type QSocketNotifier::type()\n", true, &_init_f_type_c0, &_call_f_type_c0);
  methods += gsi::qt_signal<QSocketDescriptor, const qt_gsi::Converter<QSocketNotifier::Type>::target_type & > ("activated(QSocketDescriptor, QSocketNotifier::Type)", "activated", gsi::arg("socket"), gsi::arg("activationEvent"), "@brief Signal declaration for QSocketNotifier::activated(QSocketDescriptor socket, QSocketNotifier::Type activationEvent)\nYou can bind a procedure to this signal.");
  methods += gsi::qt_signal<QObject * > ("destroyed(QObject *)", "destroyed", gsi::arg("arg1"), "@brief Signal declaration for QSocketNotifier::destroyed(QObject *)\nYou can bind a procedure to this signal.");
  methods += gsi::qt_signal<const QString & > ("objectNameChanged(const QString &)", "objectNameChanged", gsi::arg("objectName"), "@brief Signal declaration for QSocketNotifier::objectNameChanged(const QString &objectName)\nYou can bind a procedure to this signal.");
  methods += new qt_gsi::GenericStaticMethod ("tr", "@brief Static method QString QSocketNotifier::tr(const char *s, const char *c, int n)\nThis method is static and can be called without an instance.", &_init_f_tr_4013, &_call_f_tr_4013);
  return methods;
}

gsi::Class<QObject> &qtdecl_QObject ();

qt_gsi::QtNativeClass<QSocketNotifier> decl_QSocketNotifier (qtdecl_QObject (), "QtCore", "QSocketNotifier_Native",
  methods_QSocketNotifier (),
  "@hide\n@alias QSocketNotifier");

GSI_QTCORE_PUBLIC gsi::Class<QSocketNotifier> &qtdecl_QSocketNotifier () { return decl_QSocketNotifier; }

}


class QSocketNotifier_Adaptor : public QSocketNotifier, public qt_gsi::QtObjectBase
{
public:

  virtual ~QSocketNotifier_Adaptor();

  //  [adaptor ctor] QSocketNotifier::QSocketNotifier(QSocketNotifier::Type, QObject *parent)
  QSocketNotifier_Adaptor(QSocketNotifier::Type arg1) : QSocketNotifier(arg1)
  {
    qt_gsi::QtObjectBase::init (this);
  }

  //  [adaptor ctor] QSocketNotifier::QSocketNotifier(QSocketNotifier::Type, QObject *parent)
  QSocketNotifier_Adaptor(QSocketNotifier::Type arg1, QObject *parent) : QSocketNotifier(arg1, parent)
  {
    qt_gsi::QtObjectBase::init (this);
  }

  //  [adaptor ctor] QSocketNotifier::QSocketNotifier(QIntegerForSizeof<void *>::Signed socket, QSocketNotifier::Type, QObject *parent)
  QSocketNotifier_Adaptor(QIntegerForSizeof<void *>::Signed socket, QSocketNotifier::Type arg2) : QSocketNotifier(socket, arg2)
  {
    qt_gsi::QtObjectBase::init (this);
  }

  //  [adaptor ctor] QSocketNotifier::QSocketNotifier(QIntegerForSizeof<void *>::Signed socket, QSocketNotifier::Type, QObject *parent)
  QSocketNotifier_Adaptor(QIntegerForSizeof<void *>::Signed socket, QSocketNotifier::Type arg2, QObject *parent) : QSocketNotifier(socket, arg2, parent)
  {
    qt_gsi::QtObjectBase::init (this);
  }

  //  [expose] bool QSocketNotifier::isSignalConnected(const QMetaMethod &signal)
  bool fp_QSocketNotifier_isSignalConnected_c2394 (const QMetaMethod &signal) const {
    return QSocketNotifier::isSignalConnected(signal);
  }

  //  [expose] int QSocketNotifier::receivers(const char *signal)
  int fp_QSocketNotifier_receivers_c1731 (const char *signal) const {
    return QSocketNotifier::receivers(signal);
  }

  //  [expose] QObject *QSocketNotifier::sender()
  QObject * fp_QSocketNotifier_sender_c0 () const {
    return QSocketNotifier::sender();
  }

  //  [expose] int QSocketNotifier::senderSignalIndex()
  int fp_QSocketNotifier_senderSignalIndex_c0 () const {
    return QSocketNotifier::senderSignalIndex();
  }

  //  [emitter impl] void QSocketNotifier::activated(QSocketDescriptor socket, QSocketNotifier::Type activationEvent)
  void emitter_QSocketNotifier_activated_7973(QSocketDescriptor socket, QSocketNotifier::Type activationEvent)
  {
    __SUPPRESS_UNUSED_WARNING (socket);
    __SUPPRESS_UNUSED_WARNING (activationEvent);
    throw tl::Exception ("Can't emit private signal 'void QSocketNotifier::activated(QSocketDescriptor socket, QSocketNotifier::Type activationEvent)'");
  }

  //  [emitter impl] void QSocketNotifier::destroyed(QObject *)
  void emitter_QSocketNotifier_destroyed_1302(QObject *arg1)
  {
    emit QSocketNotifier::destroyed(arg1);
  }

  //  [adaptor impl] bool QSocketNotifier::eventFilter(QObject *watched, QEvent *event)
  bool cbs_eventFilter_2411_0(QObject *watched, QEvent *event)
  {
    return QSocketNotifier::eventFilter(watched, event);
  }

  virtual bool eventFilter(QObject *watched, QEvent *event)
  {
    if (cb_eventFilter_2411_0.can_issue()) {
      return cb_eventFilter_2411_0.issue<QSocketNotifier_Adaptor, bool, QObject *, QEvent *>(&QSocketNotifier_Adaptor::cbs_eventFilter_2411_0, watched, event);
    } else {
      return QSocketNotifier::eventFilter(watched, event);
    }
  }

  //  [emitter impl] void QSocketNotifier::objectNameChanged(const QString &objectName)
  void emitter_QSocketNotifier_objectNameChanged_4567(const QString &objectName)
  {
    __SUPPRESS_UNUSED_WARNING (objectName);
    throw tl::Exception ("Can't emit private signal 'void QSocketNotifier::objectNameChanged(const QString &objectName)'");
  }

  //  [adaptor impl] void QSocketNotifier::childEvent(QChildEvent *event)
  void cbs_childEvent_1701_0(QChildEvent *event)
  {
    QSocketNotifier::childEvent(event);
  }

  virtual void childEvent(QChildEvent *event)
  {
    if (cb_childEvent_1701_0.can_issue()) {
      cb_childEvent_1701_0.issue<QSocketNotifier_Adaptor, QChildEvent *>(&QSocketNotifier_Adaptor::cbs_childEvent_1701_0, event);
    } else {
      QSocketNotifier::childEvent(event);
    }
  }

  //  [adaptor impl] void QSocketNotifier::customEvent(QEvent *event)
  void cbs_customEvent_1217_0(QEvent *event)
  {
    QSocketNotifier::customEvent(event);
  }

  virtual void customEvent(QEvent *event)
  {
    if (cb_customEvent_1217_0.can_issue()) {
      cb_customEvent_1217_0.issue<QSocketNotifier_Adaptor, QEvent *>(&QSocketNotifier_Adaptor::cbs_customEvent_1217_0, event);
    } else {
      QSocketNotifier::customEvent(event);
    }
  }

  //  [adaptor impl] void QSocketNotifier::disconnectNotify(const QMetaMethod &signal)
  void cbs_disconnectNotify_2394_0(const QMetaMethod &signal)
  {
    QSocketNotifier::disconnectNotify(signal);
  }

  virtual void disconnectNotify(const QMetaMethod &signal)
  {
    if (cb_disconnectNotify_2394_0.can_issue()) {
      cb_disconnectNotify_2394_0.issue<QSocketNotifier_Adaptor, const QMetaMethod &>(&QSocketNotifier_Adaptor::cbs_disconnectNotify_2394_0, signal);
    } else {
      QSocketNotifier::disconnectNotify(signal);
    }
  }

  //  [adaptor impl] bool QSocketNotifier::event(QEvent *)
  bool cbs_event_1217_0(QEvent *arg1)
  {
    return QSocketNotifier::event(arg1);
  }

  virtual bool event(QEvent *arg1)
  {
    if (cb_event_1217_0.can_issue()) {
      return cb_event_1217_0.issue<QSocketNotifier_Adaptor, bool, QEvent *>(&QSocketNotifier_Adaptor::cbs_event_1217_0, arg1);
    } else {
      return QSocketNotifier::event(arg1);
    }
  }

  //  [adaptor impl] void QSocketNotifier::timerEvent(QTimerEvent *event)
  void cbs_timerEvent_1730_0(QTimerEvent *event)
  {
    QSocketNotifier::timerEvent(event);
  }

  virtual void timerEvent(QTimerEvent *event)
  {
    if (cb_timerEvent_1730_0.can_issue()) {
      cb_timerEvent_1730_0.issue<QSocketNotifier_Adaptor, QTimerEvent *>(&QSocketNotifier_Adaptor::cbs_timerEvent_1730_0, event);
    } else {
      QSocketNotifier::timerEvent(event);
    }
  }

  gsi::Callback cb_eventFilter_2411_0;
  gsi::Callback cb_childEvent_1701_0;
  gsi::Callback cb_customEvent_1217_0;
  gsi::Callback cb_disconnectNotify_2394_0;
  gsi::Callback cb_event_1217_0;
  gsi::Callback cb_timerEvent_1730_0;
};

QSocketNotifier_Adaptor::~QSocketNotifier_Adaptor() { }

//  Constructor QSocketNotifier::QSocketNotifier(QSocketNotifier::Type, QObject *parent) (adaptor class)

static void _init_ctor_QSocketNotifier_Adaptor_3694 (qt_gsi::GenericStaticMethod *decl)
{
  static gsi::ArgSpecBase argspec_0 ("arg1");
  decl->add_arg<const qt_gsi::Converter<QSocketNotifier::Type>::target_type & > (argspec_0);
  static gsi::ArgSpecBase argspec_1 ("parent", true, "nullptr");
  decl->add_arg<QObject * > (argspec_1);
  decl->set_return_new<QSocketNotifier_Adaptor> ();
}

static void _call_ctor_QSocketNotifier_Adaptor_3694 (const qt_gsi::GenericStaticMethod * /*decl*/, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  tl::Heap heap;
  const qt_gsi::Converter<QSocketNotifier::Type>::target_type & arg1 = gsi::arg_reader<const qt_gsi::Converter<QSocketNotifier::Type>::target_type & >() (args, heap);
  QObject *arg2 = args ? gsi::arg_reader<QObject * >() (args, heap) : gsi::arg_maker<QObject * >() (nullptr, heap);
  ret.write<QSocketNotifier_Adaptor *> (new QSocketNotifier_Adaptor (qt_gsi::QtToCppAdaptor<QSocketNotifier::Type>(arg1).cref(), arg2));
}


//  Constructor QSocketNotifier::QSocketNotifier(QIntegerForSizeof<void *>::Signed socket, QSocketNotifier::Type, QObject *parent) (adaptor class)

static void _init_ctor_QSocketNotifier_Adaptor_7200 (qt_gsi::GenericStaticMethod *decl)
{
  static gsi::ArgSpecBase argspec_0 ("socket");
  decl->add_arg<QIntegerForSizeof<void *>::Signed > (argspec_0);
  static gsi::ArgSpecBase argspec_1 ("arg2");
  decl->add_arg<const qt_gsi::Converter<QSocketNotifier::Type>::target_type & > (argspec_1);
  static gsi::ArgSpecBase argspec_2 ("parent", true, "nullptr");
  decl->add_arg<QObject * > (argspec_2);
  decl->set_return_new<QSocketNotifier_Adaptor> ();
}

static void _call_ctor_QSocketNotifier_Adaptor_7200 (const qt_gsi::GenericStaticMethod * /*decl*/, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  tl::Heap heap;
  QIntegerForSizeof<void *>::Signed arg1 = gsi::arg_reader<QIntegerForSizeof<void *>::Signed >() (args, heap);
  const qt_gsi::Converter<QSocketNotifier::Type>::target_type & arg2 = gsi::arg_reader<const qt_gsi::Converter<QSocketNotifier::Type>::target_type & >() (args, heap);
  QObject *arg3 = args ? gsi::arg_reader<QObject * >() (args, heap) : gsi::arg_maker<QObject * >() (nullptr, heap);
  ret.write<QSocketNotifier_Adaptor *> (new QSocketNotifier_Adaptor (arg1, qt_gsi::QtToCppAdaptor<QSocketNotifier::Type>(arg2).cref(), arg3));
}


// emitter void QSocketNotifier::activated(QSocketDescriptor socket, QSocketNotifier::Type activationEvent)

static void _init_emitter_activated_7973 (qt_gsi::GenericMethod *decl)
{
  static gsi::ArgSpecBase argspec_0 ("socket");
  decl->add_arg<QSocketDescriptor > (argspec_0);
  static gsi::ArgSpecBase argspec_1 ("activationEvent");
  decl->add_arg<const qt_gsi::Converter<QSocketNotifier::Type>::target_type & > (argspec_1);
  decl->set_return<void > ();
}

static void _call_emitter_activated_7973 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs & /*ret*/) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  tl::Heap heap;
  QSocketDescriptor arg1 = gsi::arg_reader<QSocketDescriptor >() (args, heap);
  const qt_gsi::Converter<QSocketNotifier::Type>::target_type & arg2 = gsi::arg_reader<const qt_gsi::Converter<QSocketNotifier::Type>::target_type & >() (args, heap);
  ((QSocketNotifier_Adaptor *)cls)->emitter_QSocketNotifier_activated_7973 (arg1, arg2);
}


// void QSocketNotifier::childEvent(QChildEvent *event)

static void _init_cbs_childEvent_1701_0 (qt_gsi::GenericMethod *decl)
{
  static gsi::ArgSpecBase argspec_0 ("event");
  decl->add_arg<QChildEvent * > (argspec_0);
  decl->set_return<void > ();
}

static void _call_cbs_childEvent_1701_0 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  tl::Heap heap;
  QChildEvent *arg1 = args.read<QChildEvent * > (heap);
  __SUPPRESS_UNUSED_WARNING(ret);
  ((QSocketNotifier_Adaptor *)cls)->cbs_childEvent_1701_0 (arg1);
}

static void _set_callback_cbs_childEvent_1701_0 (void *cls, const gsi::Callback &cb)
{
  ((QSocketNotifier_Adaptor *)cls)->cb_childEvent_1701_0 = cb;
}


// void QSocketNotifier::customEvent(QEvent *event)

static void _init_cbs_customEvent_1217_0 (qt_gsi::GenericMethod *decl)
{
  static gsi::ArgSpecBase argspec_0 ("event");
  decl->add_arg<QEvent * > (argspec_0);
  decl->set_return<void > ();
}

static void _call_cbs_customEvent_1217_0 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  tl::Heap heap;
  QEvent *arg1 = args.read<QEvent * > (heap);
  __SUPPRESS_UNUSED_WARNING(ret);
  ((QSocketNotifier_Adaptor *)cls)->cbs_customEvent_1217_0 (arg1);
}

static void _set_callback_cbs_customEvent_1217_0 (void *cls, const gsi::Callback &cb)
{
  ((QSocketNotifier_Adaptor *)cls)->cb_customEvent_1217_0 = cb;
}


// emitter void QSocketNotifier::destroyed(QObject *)

static void _init_emitter_destroyed_1302 (qt_gsi::GenericMethod *decl)
{
  static gsi::ArgSpecBase argspec_0 ("arg1", true, "nullptr");
  decl->add_arg<QObject * > (argspec_0);
  decl->set_return<void > ();
}

static void _call_emitter_destroyed_1302 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs & /*ret*/) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  tl::Heap heap;
  QObject *arg1 = args ? gsi::arg_reader<QObject * >() (args, heap) : gsi::arg_maker<QObject * >() (nullptr, heap);
  ((QSocketNotifier_Adaptor *)cls)->emitter_QSocketNotifier_destroyed_1302 (arg1);
}


// void QSocketNotifier::disconnectNotify(const QMetaMethod &signal)

static void _init_cbs_disconnectNotify_2394_0 (qt_gsi::GenericMethod *decl)
{
  static gsi::ArgSpecBase argspec_0 ("signal");
  decl->add_arg<const QMetaMethod & > (argspec_0);
  decl->set_return<void > ();
}

static void _call_cbs_disconnectNotify_2394_0 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  tl::Heap heap;
  const QMetaMethod &arg1 = args.read<const QMetaMethod & > (heap);
  __SUPPRESS_UNUSED_WARNING(ret);
  ((QSocketNotifier_Adaptor *)cls)->cbs_disconnectNotify_2394_0 (arg1);
}

static void _set_callback_cbs_disconnectNotify_2394_0 (void *cls, const gsi::Callback &cb)
{
  ((QSocketNotifier_Adaptor *)cls)->cb_disconnectNotify_2394_0 = cb;
}


// bool QSocketNotifier::event(QEvent *)

static void _init_cbs_event_1217_0 (qt_gsi::GenericMethod *decl)
{
  static gsi::ArgSpecBase argspec_0 ("arg1");
  decl->add_arg<QEvent * > (argspec_0);
  decl->set_return<bool > ();
}

static void _call_cbs_event_1217_0 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  tl::Heap heap;
  QEvent *arg1 = args.read<QEvent * > (heap);
  ret.write<bool > ((bool)((QSocketNotifier_Adaptor *)cls)->cbs_event_1217_0 (arg1));
}

static void _set_callback_cbs_event_1217_0 (void *cls, const gsi::Callback &cb)
{
  ((QSocketNotifier_Adaptor *)cls)->cb_event_1217_0 = cb;
}


// bool QSocketNotifier::eventFilter(QObject *watched, QEvent *event)

static void _init_cbs_eventFilter_2411_0 (qt_gsi::GenericMethod *decl)
{
  static gsi::ArgSpecBase argspec_0 ("watched");
  decl->add_arg<QObject * > (argspec_0);
  static gsi::ArgSpecBase argspec_1 ("event");
  decl->add_arg<QEvent * > (argspec_1);
  decl->set_return<bool > ();
}

static void _call_cbs_eventFilter_2411_0 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  tl::Heap heap;
  QObject *arg1 = args.read<QObject * > (heap);
  QEvent *arg2 = args.read<QEvent * > (heap);
  ret.write<bool > ((bool)((QSocketNotifier_Adaptor *)cls)->cbs_eventFilter_2411_0 (arg1, arg2));
}

static void _set_callback_cbs_eventFilter_2411_0 (void *cls, const gsi::Callback &cb)
{
  ((QSocketNotifier_Adaptor *)cls)->cb_eventFilter_2411_0 = cb;
}


// exposed bool QSocketNotifier::isSignalConnected(const QMetaMethod &signal)

static void _init_fp_isSignalConnected_c2394 (qt_gsi::GenericMethod *decl)
{
  static gsi::ArgSpecBase argspec_0 ("signal");
  decl->add_arg<const QMetaMethod & > (argspec_0);
  decl->set_return<bool > ();
}

static void _call_fp_isSignalConnected_c2394 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  tl::Heap heap;
  const QMetaMethod &arg1 = gsi::arg_reader<const QMetaMethod & >() (args, heap);
  ret.write<bool > ((bool)((QSocketNotifier_Adaptor *)cls)->fp_QSocketNotifier_isSignalConnected_c2394 (arg1));
}


// emitter void QSocketNotifier::objectNameChanged(const QString &objectName)

static void _init_emitter_objectNameChanged_4567 (qt_gsi::GenericMethod *decl)
{
  static gsi::ArgSpecBase argspec_0 ("objectName");
  decl->add_arg<const QString & > (argspec_0);
  decl->set_return<void > ();
}

static void _call_emitter_objectNameChanged_4567 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs & /*ret*/) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  tl::Heap heap;
  const QString &arg1 = gsi::arg_reader<const QString & >() (args, heap);
  ((QSocketNotifier_Adaptor *)cls)->emitter_QSocketNotifier_objectNameChanged_4567 (arg1);
}


// exposed int QSocketNotifier::receivers(const char *signal)

static void _init_fp_receivers_c1731 (qt_gsi::GenericMethod *decl)
{
  static gsi::ArgSpecBase argspec_0 ("signal");
  decl->add_arg<const char * > (argspec_0);
  decl->set_return<int > ();
}

static void _call_fp_receivers_c1731 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  tl::Heap heap;
  const char *arg1 = gsi::arg_reader<const char * >() (args, heap);
  ret.write<int > ((int)((QSocketNotifier_Adaptor *)cls)->fp_QSocketNotifier_receivers_c1731 (arg1));
}


// exposed QObject *QSocketNotifier::sender()

static void _init_fp_sender_c0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<QObject * > ();
}

static void _call_fp_sender_c0 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  ret.write<QObject * > ((QObject *)((QSocketNotifier_Adaptor *)cls)->fp_QSocketNotifier_sender_c0 ());
}


// exposed int QSocketNotifier::senderSignalIndex()

static void _init_fp_senderSignalIndex_c0 (qt_gsi::GenericMethod *decl)
{
  decl->set_return<int > ();
}

static void _call_fp_senderSignalIndex_c0 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  ret.write<int > ((int)((QSocketNotifier_Adaptor *)cls)->fp_QSocketNotifier_senderSignalIndex_c0 ());
}


// void QSocketNotifier::timerEvent(QTimerEvent *event)

static void _init_cbs_timerEvent_1730_0 (qt_gsi::GenericMethod *decl)
{
  static gsi::ArgSpecBase argspec_0 ("event");
  decl->add_arg<QTimerEvent * > (argspec_0);
  decl->set_return<void > ();
}

static void _call_cbs_timerEvent_1730_0 (const qt_gsi::GenericMethod * /*decl*/, void *cls, gsi::SerialArgs &args, gsi::SerialArgs &ret) 
{
  __SUPPRESS_UNUSED_WARNING(args);
  tl::Heap heap;
  QTimerEvent *arg1 = args.read<QTimerEvent * > (heap);
  __SUPPRESS_UNUSED_WARNING(ret);
  ((QSocketNotifier_Adaptor *)cls)->cbs_timerEvent_1730_0 (arg1);
}

static void _set_callback_cbs_timerEvent_1730_0 (void *cls, const gsi::Callback &cb)
{
  ((QSocketNotifier_Adaptor *)cls)->cb_timerEvent_1730_0 = cb;
}


namespace gsi
{

gsi::Class<QSocketNotifier> &qtdecl_QSocketNotifier ();

static gsi::Methods methods_QSocketNotifier_Adaptor () {
  gsi::Methods methods;
  methods += new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QSocketNotifier::QSocketNotifier(QSocketNotifier::Type, QObject *parent)\nThis method creates an object of class QSocketNotifier.", &_init_ctor_QSocketNotifier_Adaptor_3694, &_call_ctor_QSocketNotifier_Adaptor_3694);
  methods += new qt_gsi::GenericStaticMethod ("new", "@brief Constructor QSocketNotifier::QSocketNotifier(QIntegerForSizeof<void *>::Signed socket, QSocketNotifier::Type, QObject *parent)\nThis method creates an object of class QSocketNotifier.", &_init_ctor_QSocketNotifier_Adaptor_7200, &_call_ctor_QSocketNotifier_Adaptor_7200);
  methods += new qt_gsi::GenericMethod ("emit_activated", "@brief Emitter for signal void QSocketNotifier::activated(QSocketDescriptor socket, QSocketNotifier::Type activationEvent)\nCall this method to emit this signal.", false, &_init_emitter_activated_7973, &_call_emitter_activated_7973);
  methods += new qt_gsi::GenericMethod ("*childEvent", "@brief Virtual method void QSocketNotifier::childEvent(QChildEvent *event)\nThis method can be reimplemented in a derived class.", false, &_init_cbs_childEvent_1701_0, &_call_cbs_childEvent_1701_0);
  methods += new qt_gsi::GenericMethod ("*childEvent", "@hide", false, &_init_cbs_childEvent_1701_0, &_call_cbs_childEvent_1701_0, &_set_callback_cbs_childEvent_1701_0);
  methods += new qt_gsi::GenericMethod ("*customEvent", "@brief Virtual method void QSocketNotifier::customEvent(QEvent *event)\nThis method can be reimplemented in a derived class.", false, &_init_cbs_customEvent_1217_0, &_call_cbs_customEvent_1217_0);
  methods += new qt_gsi::GenericMethod ("*customEvent", "@hide", false, &_init_cbs_customEvent_1217_0, &_call_cbs_customEvent_1217_0, &_set_callback_cbs_customEvent_1217_0);
  methods += new qt_gsi::GenericMethod ("emit_destroyed", "@brief Emitter for signal void QSocketNotifier::destroyed(QObject *)\nCall this method to emit this signal.", false, &_init_emitter_destroyed_1302, &_call_emitter_destroyed_1302);
  methods += new qt_gsi::GenericMethod ("*disconnectNotify", "@brief Virtual method void QSocketNotifier::disconnectNotify(const QMetaMethod &signal)\nThis method can be reimplemented in a derived class.", false, &_init_cbs_disconnectNotify_2394_0, &_call_cbs_disconnectNotify_2394_0);
  methods += new qt_gsi::GenericMethod ("*disconnectNotify", "@hide", false, &_init_cbs_disconnectNotify_2394_0, &_call_cbs_disconnectNotify_2394_0, &_set_callback_cbs_disconnectNotify_2394_0);
  methods += new qt_gsi::GenericMethod ("*event", "@brief Virtual method bool QSocketNotifier::event(QEvent *)\nThis method can be reimplemented in a derived class.", false, &_init_cbs_event_1217_0, &_call_cbs_event_1217_0);
  methods += new qt_gsi::GenericMethod ("*event", "@hide", false, &_init_cbs_event_1217_0, &_call_cbs_event_1217_0, &_set_callback_cbs_event_1217_0);
  methods += new qt_gsi::GenericMethod ("eventFilter", "@brief Virtual method bool QSocketNotifier::eventFilter(QObject *watched, QEvent *event)\nThis method can be reimplemented in a derived class.", false, &_init_cbs_eventFilter_2411_0, &_call_cbs_eventFilter_2411_0);
  methods += new qt_gsi::GenericMethod ("eventFilter", "@hide", false, &_init_cbs_eventFilter_2411_0, &_call_cbs_eventFilter_2411_0, &_set_callback_cbs_eventFilter_2411_0);
  methods += new qt_gsi::GenericMethod ("*isSignalConnected", "@brief Method bool QSocketNotifier::isSignalConnected(const QMetaMethod &signal)\nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_isSignalConnected_c2394, &_call_fp_isSignalConnected_c2394);
  methods += new qt_gsi::GenericMethod ("emit_objectNameChanged", "@brief Emitter for signal void QSocketNotifier::objectNameChanged(const QString &objectName)\nCall this method to emit this signal.", false, &_init_emitter_objectNameChanged_4567, &_call_emitter_objectNameChanged_4567);
  methods += new qt_gsi::GenericMethod ("*receivers", "@brief Method int QSocketNotifier::receivers(const char *signal)\nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_receivers_c1731, &_call_fp_receivers_c1731);
  methods += new qt_gsi::GenericMethod ("*sender", "@brief Method QObject *QSocketNotifier::sender()\nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_sender_c0, &_call_fp_sender_c0);
  methods += new qt_gsi::GenericMethod ("*senderSignalIndex", "@brief Method int QSocketNotifier::senderSignalIndex()\nThis method is protected and can only be called from inside a derived class.", true, &_init_fp_senderSignalIndex_c0, &_call_fp_senderSignalIndex_c0);
  methods += new qt_gsi::GenericMethod ("*timerEvent", "@brief Virtual method void QSocketNotifier::timerEvent(QTimerEvent *event)\nThis method can be reimplemented in a derived class.", false, &_init_cbs_timerEvent_1730_0, &_call_cbs_timerEvent_1730_0);
  methods += new qt_gsi::GenericMethod ("*timerEvent", "@hide", false, &_init_cbs_timerEvent_1730_0, &_call_cbs_timerEvent_1730_0, &_set_callback_cbs_timerEvent_1730_0);
  return methods;
}

gsi::Class<QSocketNotifier_Adaptor> decl_QSocketNotifier_Adaptor (qtdecl_QSocketNotifier (), "QtCore", "QSocketNotifier",
  methods_QSocketNotifier_Adaptor (),
  "@qt\n@brief Binding of QSocketNotifier");

}


//  Implementation of the enum wrapper class for QSocketNotifier::Type
namespace qt_gsi
{

static gsi::Enum<QSocketNotifier::Type> decl_QSocketNotifier_Type_Enum ("QtCore", "QSocketNotifier_Type",
    gsi::enum_const ("Read", QSocketNotifier::Read, "@brief Enum constant QSocketNotifier::Read") +
    gsi::enum_const ("Write", QSocketNotifier::Write, "@brief Enum constant QSocketNotifier::Write") +
    gsi::enum_const ("Exception", QSocketNotifier::Exception, "@brief Enum constant QSocketNotifier::Exception"),
  "@qt\n@brief This class represents the QSocketNotifier::Type enum");

static gsi::QFlagsClass<QSocketNotifier::Type > decl_QSocketNotifier_Type_Enums ("QtCore", "QSocketNotifier_QFlags_Type",
  "@qt\n@brief This class represents the QFlags<QSocketNotifier::Type> flag set");

//  Inject the declarations into the parent
static gsi::ClassExt<QSocketNotifier> inject_QSocketNotifier_Type_Enum_in_parent (decl_QSocketNotifier_Type_Enum.defs ());
static gsi::ClassExt<QSocketNotifier> decl_QSocketNotifier_Type_Enum_as_child (decl_QSocketNotifier_Type_Enum, "Type");
static gsi::ClassExt<QSocketNotifier> decl_QSocketNotifier_Type_Enums_as_child (decl_QSocketNotifier_Type_Enums, "QFlags_Type");

}

